PSTOPS(1)

NUME
pstops - rearanjează paginile unui document PostScript

REZUMAT
pstops [OPȚIUNE...] [FIȘIER-INTRARE [FIȘIER-IEȘIRE]]

DESCRIERE
Rearanjează paginile unui document PostScript.

Fișierul PostScript de intrare trebuie să respecte convențiile de structurare a documentelor Adobe.

Pstops poate fi utilizat pentru a efectua rearanjări arbitrare ale documentelor. Pentru multe sarcini, este mai simplu să se utilizeze celelalte instrumente din suita PSUtils: a se vedea psutils(1).

-S, --specs=SPECS
    specificațiile paginii (a se vedea mai jos)

-R,  --pages=PAGINI
    selectează intervalele de pagini indicate

-e, --even
    selectează paginile cu numere pare

-o, --odd
    selectează paginile cu numere impare

-r, --reverse
    inversează ordinea paginilor

-p, --paper=HÂRTIE
    numele sau dimensiunile hârtiei de ieșire (LĂȚIMExÎNĂLȚIME)

-P, --inpaper=HÂRTIE
    numele sau dimensiunile hârtiei de intrare (LĂȚIMExÎNĂLȚIME)

-d, --draw[=DIMENSIUNE]
    trasează o linie cu lățimea dată (în raport cu pagina originală) în jurul fiecărei pagini [valoarea implicită a argumentului este 1; valoarea implicită este 0].

-b, --nobind
    dezactivează operatorii PostScript de asociere „bind” în prolog; poate fi necesar pentru rearanjări complexe ale paginilor

-q, --quiet
    nu afișează numerele de pagină la ieșire

--help
    afișează acest mesaj de ajutor și iese

-v, --version
    afișează informațiile despre versiune și iese

PAGINI este o listă de pagini și intervale de pagini, separate prin virgule.

Fiecare poate fi un număr de pagină sau un interval de pagini de forma prima-ultima. Dacă prima este omisă, se consideră prima pagină, iar dacă ultima este omisă, se consideră ultima pagină. Caracterul prefix ‘_’ indică faptul că numărul paginii este relativ la sfârșitul documentului, numărând invers. Dacă se utilizează doar acest caracter fără număr de pagină, se va introduce o pagină albă. Numerele de pagină se referă la paginile așa cum apar în fișier, începând de la unu. Numărul real al paginilor din document poate fi diferit.

SPECIFICAȚII este o listă de specificații ale paginilor [valoarea implicită este „0”, care selectează fiecare pagină în ordinea sa normală].

Specificațiile paginii au următoarea sintaxă:

    specificații-pagină
        = [modul:]specificații

    specificații
        = specificație[+specificații|,specicificații]

    specificație
        = [-]număr-pagină[rotiri][@scalare][(xdecalare-orizontală,ydecalare-verticală)]

    rotiri
        = rotire[rotiri]

    rotire
        = L|R|U|H|V

modul este numărul de pagini din fiecare bloc. Valoarea modulului trebuie să fie mai mare decât 0; valoarea implicită este 1.

specificații sunt specificațiile de pagină pentru paginile din fiecare bloc. Valoarea număr-pagină din fiecare specificație trebuie să fie cuprinsă între 0 (pentru prima pagină din bloc) și modul-1 (pentru ultima pagină din fiecare bloc) inclusiv. În cazul în care există o singură specificație de pagină, număr-pagină (0) poate fi omis.

Dimensiunile opționale xdecalare-orizontală și ydecalare-verticală decalează pagina cu valoarea specificată. xdecalare-orizontală și ydecalare-verticală pot fi fie lungimi (a se vedea psutils(1)), fie urmate de w sau h pentru a indica un multiplu al lățimii sau înălțimii hârtiei de ieșire.

Parametrii opționali L, R, U, H și V permit rotirea paginii la stânga, la dreapta sau cu susul în jos și, respectiv, întoarcerea (oglindirea) paginii pe orizontală sau pe verticală. Parametrul opțional scalare scalează pagina cu fracția specificată. Dacă se specifică semnul opțional minus, numărul paginii este raportat la sfârșitul documentului, în loc de începutul acestuia.

Paginile ale căror specificații sunt separate de + vor fi unite într-o singură pagină; în caz contrar, ele vor rămâne ca pagini separate.

Decalarea, rotația și scalarea sunt aplicate matricei de transformare PostScript în această ordine, indiferent de ordinea în care apar în linia de comandă.

Numele dimensiunilor hârtiei sunt convertite în dimensiuni cu ajutorul paper(1). Dimensiunea hârtiei de ieșire, dacă este definită, este utilizată (după scalare) pentru a stabili traseul de tăiere pentru fiecare pagină.

  Starea de ieșire:

0   dacă totul este OK,

1   dacă argumentele sau opțiunile sunt incorecte sau dacă există o altă problemă la pornire,

2   dacă există o problemă în timpul procesării, de obicei o eroare de citire sau de scriere a unui fișier de intrare sau de ieșire.

EXEMPLE
Pentru a pune două pagini pe o foaie de hârtie A4, specificația de pagini care trebuie utilizată este:

2:0L@.7(21cm,0)+1L@.7(21cm,14.85cm)

Pentru a selecta toate paginile impare în ordine inversă, utilizați:

2:-0

Pentru a rearanja paginile pentru imprimarea pliantelor de până la 2 (față-verso), utilizați

4:-3L@.7(21cm,0)+0L@.7(21cm,14.85cm)

pentru părțile din față și

4:1L@.7(21cm,0)+-2L@.7(21cm,14.85cm)

pentru părțile opuse (sau uniți-le cu o virgulă pentru imprimarea duplex).

AUTOR
Scris de Angus J. C. Duggan și Reuben Thomas.

ERORI
pstops nu acceptă toate comentariile DSC.

DREPTURI DE AUTOR
Drepturi de autor © Reuben Thomas 2017-2023. Publicat sub GPL versiunea 3 sau (la alegerea dumneavoastră) orice versiune ulterioară.

MĂRCI ÎNREGISTRATE
PostScript este o marcă înregistrată a Adobe Systems Incorporated.

CONSULTAȚI ȘI
psutils(1), paper(1)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.